NAME

  macaddr

DESCRIPTION

  cross platform mac address determination for ruby

URI

  http://github.com/ahoward/macaddr
  http://rubyforg.org/projects/codeforpeople

INSTALL

  gem install macaddr

HISTORY
  New:
    - added a Gemfile for easier testing/dev with Bundler
    - added an example .rvmrc file that will setup for ruby 1.9.3
    - updated systemu gem to ~>2.4.0 to work with ruby 1.9.3

  1.1.0:
    - added dependancy on systemu to work around butt-licky windoze io
      capture: http://redmine.ruby-lang.org/issues/show/3215

  1.0.0:
    - rdoc added
    - eric hodel kicks ass.  to find why, see
      http://drawohara.com/post/44678286/eric-hodel-kicks-ass

SYNOPSIS

  require 'macaddr'

  Mac.addr      #=> first mac addr on your system
  Mac.addr.list #=> all mac addrs on your system
